summaryrefslogtreecommitdiffstats
path: root/source/a/sysfsutils
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/sysfsutils')
-rw-r--r--source/a/sysfsutils/slack-desc8
-rwxr-xr-xsource/a/sysfsutils/sysfsutils.SlackBuild29
2 files changed, 23 insertions, 14 deletions
diff --git a/source/a/sysfsutils/slack-desc b/source/a/sysfsutils/slack-desc
index b7b470925..899155964 100644
--- a/source/a/sysfsutils/slack-desc
+++ b/source/a/sysfsutils/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,7 +10,7 @@ sysfsutils: sysfsutils (Utilities for the sysfs filesystem)
sysfsutils:
sysfsutils: The purpose of this package is to provide a set of utilities for
sysfsutils: interfacing with sysfs, a virtual filesystem in Linux kernel versions
-sysfsutils: 2.6+ that provides a tree of system devices. While a filesystem is a
+sysfsutils: 2.6+ that provides a tree of system devices. While a filesystem is a
sysfsutils: very useful interface, a library (libsysfs) is also included that
sysfsutils: will hopefully make it easier for applications to query system
sysfsutils: devices and their attributes.
diff --git a/source/a/sysfsutils/sysfsutils.SlackBuild b/source/a/sysfsutils/sysfsutils.SlackBuild
index 4d1822ecf..e8b4d50f4 100755
--- a/source/a/sysfsutils/sysfsutils.SlackBuild
+++ b/source/a/sysfsutils/sysfsutils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,27 +20,36 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=sysfsutils
VERSION=2.1.0
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-sysfsutils
@@ -48,8 +57,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf sysfsutils-$VERSION
-tar xjvf $CWD/sysfsutils-$VERSION.tar.bz2
-cd sysfsutils-$VERSION
+tar xvf $CWD/sysfsutils-$VERSION.tar.bz2 || exit 1
+cd sysfsutils-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -61,9 +70,9 @@ find . \
--prefix=/usr \
--libdir=/lib${LIBDIRSUFFIX} \
--enable-static=no \
- $ARCH-slackware-linux
-make
-make install DESTDIR=$PKG
+ --build=$ARCH-slackware-linux || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
# Unless things start whining later that this libtool junk is
# required for some reason, out it goes. Especially in /lib,